# zot/plugs/start.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.runtime import kernel
from zot.object import Object
from zot import defaults

## FUNCTION

def get_cfg(*args, **kwargs):
   try: return getattr(defaults, "cfg_%s" % args[0])
   except AttributeError: pass

## CMNDS

def start(event):
    if not event.args: return
    cfg = get_cfg(event.args[0])
    if not cfg: return
    try: cfg.server = event.args[1]
    except IndexError: pass
    try: cfg.nick = event.args[2]
    except IndexError: pass
    cfg.save() 
    kernel.init(event.args[0])
    event.ok()

kernel.register("start", start)
